Package org.apache.sysds.runtime.io

# Class FrameWriter

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter

Direct Known Subclasses:
  `FrameWriterBinaryBlock`, `FrameWriterDelta`, `FrameWriterParquet`, `FrameWriterProto`, `FrameWriterTextCell`, `FrameWriterTextCSV`

public abstract class FrameWriter extends Object
Base class for all format-specific frame writers. Every writer is required to implement the basic write functionality but might provide additional custom functionality. Any non-default parameters (e.g., CSV read properties) should be passed into custom constructors. There is also a factory for creating format-specific writers.

## Constructor Summary

Constructors
Constructor
Description
`FrameWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setForcedParallel(boolean par)`
`abstract void`
`writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriter

public FrameWriter()

## Method Details

### writeFrameToHDFS

public abstract void writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen) throws IOException, DMLRuntimeException

Throws:
  `IOException`
  `DMLRuntimeException`

### setForcedParallel

public void setForcedParallel(boolean par)